Package picard.nio

# Class GATKUtils

java.lang.Object
picard.nio.GATKUtils

public class GATKUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`GATKUtils()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`nonNull(T object)`
Checks that an Object `object` is not null and returns the same object or throws an `IllegalArgumentException`
`static <T> T`
`nonNull(T object, String message)`
Checks that an `Object` is not `null` and returns the same object or throws an `IllegalArgumentException`
`static <T> T`
`nonNull(T object, Supplier<String> message)`
Checks that an `Object` is not `null` and returns the same object or throws an `IllegalArgumentException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GATKUtils

public GATKUtils()

## Method Details

### nonNull

public static <T> T nonNull(T object)
Checks that an Object `object` is not null and returns the same object or throws an `IllegalArgumentException`

Parameters:
  `object` - any Object
Returns:
  the same object
Throws:
  `IllegalArgumentException` - if a `o == null`

### nonNull

public static <T> T nonNull(T object, String message)
Checks that an `Object` is not `null` and returns the same object or throws an `IllegalArgumentException`

Parameters:
  `object` - any Object
  `message` - the text message that would be passed to the exception thrown when `o == null`.
Returns:
  the same object
Throws:
  `IllegalArgumentException` - if a `o == null`

### nonNull

public static <T> T nonNull(T object, Supplier<String> message)
Checks that an `Object` is not `null` and returns the same object or throws an `IllegalArgumentException`

Parameters:
  `object` - any Object
  `message` - the text message that would be passed to the exception thrown when `o == null`.
Returns:
  the same object
Throws:
  `IllegalArgumentException` - if a `o == null`